1. BETCORE API
BETCORE Promo API
  • General documentation
    • What's new?
    • Dictionaries
    • Signing of server requests
    • Error codes
  • Promo API
    • /FreeBets/Campaign/Create
      POST
    • /FreeBets/Issue
      POST
    • /FreeBets/Cancel
      POST
  • BETCORE API
    • /Game/List
      POST
  1. BETCORE API

/Game/List

POST
/Game/List
That method is used to retrieve the list of available games from a provider.

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

🟠4XXClient Error
🔴5XXServer Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://backend.bcdprod.net/partnersmediator-service/api/v3/Game/List' \
--header 'X-REQUEST-SIGN: XXX' \
--header 'Content-Type: application/json' \
--data '{
    "client_id": 435436
}'
Response Response Example
200 - Success
{
  "providers": [
    {
      "name": "sample_provider",
      "currencies": [
        "EUR",
        "USD"
      ],
      "games": [
        {
          "id": "sample_game",
          "title": "Sample Game",
          "category": "BetOnGames",
          "promoTypes": [
            "FreeBet"
          ],
          "images": {
            "landscape": "/provider/game/landscape.png",
            "portrait": "/provider/game/portrait.png",
            "square": "/provider/game/square.png"
          }
        }
      ]
    }
  ],
  "image_assets": {
    "base_url": "https://cdn.example.com/images",
    "presets": {
      "game": {
        "landscape": {
          "width": "337",
          "height": "181"
        },
        "portrait": {
          "width": "427",
          "height": "575"
        },
        "square": {
          "width": "427",
          "height": "427"
        }
      }
    }
  }
}
Modified at 2026-09-30 14:51:37
Previous
/FreeBets/Cancel
Built with